=== debian/changelog ===
isospec (2.2.3+cleaned1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.7.2

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 Oct 2025 11:52:51 +0200
