=== src/CMakeLists.txt ===
add_subdirectory(IsoSpec++)
