=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+ quilt,
  dh-exec,
  graphicsmagick-imagemagick-compat,
  cmake,
@@ -11,7 +12,9 @@
  dh-python,
  python3-dev,
  python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-cffi,
+ python3-scikit-build-core,
  texlive-latex-base,
  texlive-latex-recommended,
  texlive-latex-extra,
@@ -22,6 +25,7 @@
  doxygen,
  libjs-mathjax
 Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/MatteoLacki/IsoSpec
 Vcs-Browser: https://salsa.debian.org/debichem-team/isospec
 Vcs-Git: https://salsa.debian.org/debichem-team/isospec.git
@@ -29,7 +33,6 @@
 Package: libisospec++-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libisospec++2t64 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libisospec++-doc
