## isospec 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ############################################################
 # Basic information about project
 
-project(IsoSpec VERSION 2.3.1
+project(IsoSpec VERSION 2.3.2
     DESCRIPTION "A program to calculate isotopic clusters"
     HOMEPAGE_URL "https://github.com/MatteoLacki/IsoSpec")
