=== debian/changelog ===
isospec (2.3.2-2) unstable; urgency=medium

  * Team Upload
  * python3-isospec: add a runtime dependency on python3-cffi
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3 drop Priority: tag
  * Use dh-sequence-python3
  * Drop empty patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Feb 2026 18:14:05 +0100

isospec (2.3.2-1) unstable; urgency=medium

  * New upstream release.

  * Steer away from graphicsmagick and replace by librsvg2-bin for
    conversion of svg to png.

  * libisospec++-dev: Drop Multi-Arch: same (Janitor pull request).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 05 Nov 2025 23:00:09 +0100
