=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: isospec
 Section: science
-Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  quilt,
  dh-exec,
- graphicsmagick-imagemagick-compat,
+# To export from svg to png
+ librsvg2-bin,
  cmake,
  d-shlibs,
- dh-python,
+ dh-sequence-python3,
  python3-dev,
  python3-setuptools,
  pybuild-plugin-pyproject,
@@ -24,8 +24,7 @@
  ghostscript,
  doxygen,
  libjs-mathjax
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/MatteoLacki/IsoSpec
 Vcs-Browser: https://salsa.debian.org/debichem-team/isospec
 Vcs-Git: https://salsa.debian.org/debichem-team/isospec.git
@@ -65,9 +64,11 @@
 Package: python3-isospec
 Architecture: any
 Section: python
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${python3:Depends}
+Depends:
+ python3-cffi,
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${python3:Depends},
 Recommends: python3-scipy, libisospec++-doc
 Description: Isotopic fine structure calculator for Python 3
  IsoSpec implements an algorithm for fast computation of isotopologues of
